<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA.html">TerrainMaterialGeneratorA</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">SM2Profile</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">ShaderHelperGLSL</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a1b92e46c8f430b1ea6753efa24cfd8f7">createFragmentProgram</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#acd57fbe7ca2b90461b7f4f183c0d2ee3">createVertexProgram</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a38d0b9b75c1fe681bcf5dd82eb875ae7">defaultFpParams</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, const HighLevelGpuProgramPtr &amp;prog)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#aa8dd17e16d7976ec6c7388d34d224a99">defaultVpParams</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, const HighLevelGpuProgramPtr &amp;prog)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a1b01e08ebcd6fe459aa620dd097b2c41">generateFpFooter</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a68f3f6c366858cf8b582a9c76f7b3df9">generateFpHeader</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#abfecfbe202c996226a28ab1c576b0dd0">generateFpLayer</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, uint layer, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a2d7a0d872046ca6724f02e1262b70b73">generateFragmentProgram</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a051a9e289d9483f70bea14ea9d14641a">generateFragmentProgramSource</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a5b6c717ef1de61420e09f8672d8ff7b1">generateVertexProgram</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#adb93f316855750ce168edd01085c407b">generateVertexProgramSource</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a910ef39e1781038f2f54369b4d80d6b4">generateVpFooter</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a3d51b17533918821cb4e8956f8512001">generateVpHeader</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html#a87416982cb2fbd8c558ef9bf538085d7">generateVpLayer</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, uint layer, StringUtil::StrStreamType &amp;outStream)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelperGLSL.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelperGLSL</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#abe43c3f90310fb32c71bc6d53458e405">getChannel</a>(uint idx)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a51da01d67dd1583b065aedb8f490a77f">getFragmentProgramName</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a7766b57d1f02d8678a3c3157c48f8125">getVertexProgramName</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a517f480f42d873878c2ffe3ef464afb7">mShadowSamplerStartHi</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#adf1108ee4e3b76d105732210ccf4ff51">mShadowSamplerStartLo</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#ac76120b3aa747d1f2adbe9e2fc374be1">ShaderHelper</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a85c467fe1d437ab15d8ab52a7b7b1a4f">updateFpParams</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, const GpuProgramParametersSharedPtr &amp;params)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a89278834abece5ce1bf66a0b7ecc9f05">updateParams</a>(const SM2Profile *prof, const MaterialPtr &amp;mat, const Terrain *terrain, bool compositeMap)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a424cd62f696d63da60cea51f03579e84">updateVpParams</a>(const SM2Profile *prof, const Terrain *terrain, TechniqueType tt, const GpuProgramParametersSharedPtr &amp;params)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html#a28ad3f6af71a8b65f4af872f15e5a0a1">~ShaderHelper</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
